-- The jabberd14/jabberd2 split is a complete mess. There are
-- servers that report as jabberd14 that return the same fingerprint
-- as jabberd2 servers. A jabberd14 1.6.1.1 server on Debian was
-- more similar to jabberd14 1.4.x, so I am assuming it to be the
-- correct one, even though I can't find another one like it...

function testers.jabberd14()
	if test(q_invalid_xml, literal ">Invalid XML<") then
		server_name = "jabberd14";
		
		if test(q_invalid_xml, "^<%?xml")
		and test(q_empty_message_tag, literal ">Did not specify a valid to argument<") then
			server_min_version = "1.6.0";
			server_comment "Likely Debian's package, other 1.6.x jabberd's report as jabberd2";
		elseif test(q_invalid_xml, "^<stream:error>") then
			server_max_version = "1.4.x";
		end
	end
end

